//
//  PastoralAppDelegate.m
//  Pastoral
//
//  Created by Mark Meretzky on 11/22/13.
//  Copyright (c) 2013 Mark Meretzky. All rights reserved.
//

#import "PastoralAppDelegate.h"
#import "ViewController.h"

@implementation PastoralAppDelegate

- (BOOL) application: (UIApplication *) application didFinishLaunchingWithOptions: (NSDictionary *) launchOptions
{
	// Override point for customization after application launch.
	self.window = [[UIWindow alloc] initWithFrame: [UIScreen mainScreen].bounds];
	UITabBarController *tabBarController = [[UITabBarController alloc] init];
	tabBarController.delegate = self;

	tabBarController.viewControllers = [NSArray arrayWithObjects:
		[[ViewController alloc]
			initWithTitle: @"First"
			image: nil
			badge: @"I"
			tempo: @"I. Allegro ma non troppo"
			audio: @"I"
		],

		[[ViewController alloc]
			initWithTitle: @"Second"
			image: nil
			badge: @"II"
			tempo: @"II. Andante molto mosso"
			audio: @"II"
		],

		[[ViewController alloc]
			initWithTitle: @"Third"
			image: nil
			badge: @"III"
			tempo: @"III. Allegro"
			audio: @"III"
		],

		[[ViewController alloc]
			initWithTitle: @"Fourth"
			image: nil
			badge: @"IV"
			tempo: @"IV. Allegro"
			audio: @"IV"
		],

		[[ViewController alloc]
			initWithTitle: @"Fifth"
			image: nil
			badge: @"V"
			tempo: @"V. Allegretto"
			audio: @"V"
		],

		nil
	];

	self.window.rootViewController = tabBarController;
	[self.window makeKeyAndVisible];
	return YES;
}

- (void) applicationWillResignActive: (UIApplication *) application
{
	// Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
	// Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void) applicationDidEnterBackground: (UIApplication *) application
{
	// Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
	// If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void) applicationWillEnterForeground: (UIApplication *) application
{
	// Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void) applicationDidBecomeActive: (UIApplication *) application
{
	// Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void) applicationWillTerminate: (UIApplication *) application
{
	// Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

#pragma mark -
#pragma mark Protocol UITabBarControllerDelegate

//Called when user presses tab.

- (void) tabBarController: (UITabBarController *) tabBarController
	didSelectViewController: (UIViewController *) viewController {

	[(ViewController *)viewController play];
}

@end
