//
//  ViewController.m
//  Pastoral
//
//  Created by Mark Meretzky on 11/22/13.
//  Copyright (c) 2013 Mark Meretzky. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

/*
- (id) initWithNibName: (NSString *) nibNameOrNil bundle: (NSBundle *) nibBundleOrNil
{
	self = [super initWithNibName: nibNameOrNil bundle: nibBundleOrNil];
	if (self) {
		// Custom initialization
	}
	return self;
}
*/

- (id) initWithTitle: (NSString *) title
	image: (NSString *) image
	badge: (NSString *) badge
	tempo:  (NSString *) t
	audio: (NSString *) audio
{
	self = [super initWithNibName: nil bundle: nil];
	if (self) {
		// Custom initialization
		self.title = title;
		self.tabBarItem.badgeValue = badge;
		tempo = [t copy];

		NSBundle *bundle = [NSBundle mainBundle];
		if (bundle == nil) {
			NSLog(@"could not get the main bundle");
			return nil;
		}

		NSString *path =
			[bundle pathForResource: audio ofType: @"mp3"];
		if (path == nil) {
			NSLog(@"could not get the path");
			return nil;
		}

		NSURL *url = [NSURL fileURLWithPath: path isDirectory: NO];
		NSError *error = nil;
		audioPlayer = [[AVAudioPlayer alloc]
			initWithContentsOfURL: url error: &error];
		if (audioPlayer == nil) {
			NSLog(@"error == %@", error);
			return nil;
		}
		
		audioPlayer.volume = 1.0;
		audioPlayer.numberOfLoops = 0;
		
		if (![audioPlayer prepareToPlay]) {
			NSLog(@"could not prepare to play %@", audioPlayer.url);
			return nil;
		}
	}
	return self;
}

- (void) loadView
{
	CGRect frame = [UIScreen mainScreen].applicationFrame;
	UILabel *label = [[UILabel alloc] initWithFrame: frame];
	label.backgroundColor = [UIColor whiteColor];
	label.textAlignment = NSTextAlignmentCenter;	//left is default
	label.text = tempo;
	self.view = label;
}

- (void) viewDidLoad
{
	[super viewDidLoad];
	// Do any additional setup after loading the view.
}

//Called by the UITabBarController delegate when a tab is pressed.

- (void) play {
	audioPlayer.currentTime = 0;	//Rewind to start of audio file.

	if (![audioPlayer play]) {
		NSLog(@"could not play %@", audioPlayer.url);
	}
}

- (void) viewWillDisappear: (BOOL) animated
{
	[audioPlayer stop];

	if (![audioPlayer prepareToPlay]) {
		NSLog(@"could not prepare to play %@", audioPlayer.url);
	}
}

- (void) didReceiveMemoryWarning
{
	[super didReceiveMemoryWarning];
	// Dispose of any resources that can be recreated.
}

@end
